# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running `nixos-help`).

{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
      ./host-specific.nix
      ../../modules/home-manager.nix
      ../../modules/nur.nix
      ../../modules/base.nix
      ../../modules/headless.nix

      #../../modules/gnome-base.nix
      #../../modules/gnome-config.nix
      #../../modules/gnome-extensions.nix
      #../../modules/gnome-fractional-scaling.nix

      #../../modules/programs.nix
      #../../modules/autostart.nix
      #../../modules/wallpaper.nix
      #../../modules/fwupd-gnome.nix
      #../../modules/print-and-scan.nix
      ../../modules/fde-ssh-unlock.nix
      #../../modules/nextcloud-integration.nix
      #../../modules/git.nix
      ../../modules/zsh.nix
      #../../modules/nitrokey-gpg-smartcard.nix
      #../../modules/ssh-client.nix
      ../../modules/ssh-server.nix
      #../../modules/firefox.nix
      #../../modules/thunderbird.nix
      #../../modules/digikam-rawtherapee.nix
      #../../modules/ghostwriter.nix
      #../../modules/android.nix
      #../../modules/podman.nix
      ../../modules/docker.nix
      #../../modules/docker-pushrm.nix
      #../../modules/lid-switch-handling.nix
      ../../modules/sendmail-mta.nix
      ../../modules/journalwatch.nix
      #../../modules/waydroid.nix
      #../../modules/ntfs.nix
      #../../modules/veracrypt.nix
      ../../modules/btrbk
      ../../modules/spin-down.nix

      ../../modules/btrfs-scrub.nix
      ../../modules/btrfs-mount-options.nix
    ];

  networking.hostName = "yodaNas";
  boot.initrd.luks.devices."luks-3d974bd0-f373-469b-8e9c-2d5516e9f0f5".allowDiscards = true;
  yoda.btrfsFileSystems = ["/" "/mnt/data" "/mnt/backup"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;

  boot.kernelParams = [];

  boot.kernelPackages = pkgs.linuxPackages;
}
